Subject: bug#917: Too heavy consing in MULE file saving?

From: "Richard M. Stallman" <[email-masked]>
Date: Sun, 07 Sep 2008 13:40:00 -0400

I have gc-cons-threshold at 400000, which is the default.
In Rmail, if I type d u C-x C-s, it causes a GC at the end
of saving.  I can do this over and over and it GCs every time.

I think this indicates a bug; namely, that something is doing too much
consing.

My Rmail file is around 10 meg, and has 471 messages.
But I don't see why that should matter for C-x C-s.

Just to explore, I visited another 10meg file in Fundamental mode
and got the same behavior.  I went to the end and type 1 DEL C-x C-s.
It gc's each time.

Then I tried visiting it with find-file-literally.
That way, I could type 1 DEL C-x C-s and it would save without gc.

So I think something concerned with Mule is doing too much consing.